Jump to content
Caillean

Installation error on BG2:EE Linux version

Recommended Posts

Hello,

while installing the Randomiser I get the following error message:

ERROR: [ar1202.bcs] -> [override] Patching Failed (COPY) (Failure("cannot find an argument of the right type"))

I tried installing with both the Linux and the Windows version of Weidu (Installation mounted on a case-insensitive fs via ciopfs). I don't have any of the mods with known compatibility issues mentioned in the readme installed.

Any pointers would be great, since I'd really love to have this mod installed for my next playthrough.

setup-randomiser.debug weidu.log

Share this post


Link to post

Could you run something like the following from your game directory:

mkdir tmp && weidu --change-log ar1202.bcs --out tmp > tmp/log

and zip and upload the tmp directory?

The error is being issued by WeiDU's decompiler, so it's within the realm of possibilities that one of your other mods has done something bad, or that WeiDU has done so.

Edited by Wisp

Share this post


Link to post
[weidu] WeiDU version 24600
[./chitin.key] 222 BIFFs, 64694 resources
[./lang/en_us/dialog.tlk] 160118 string entries



Mods affecting AR1202.BCS:

I had already checked if AR1202.bcs was modded in some way, but no.  I started over with a new installation because I wanted to add some mods anyway, and this time I could install the option to randomize with game scripts. In my first attempt that wouldn't work either. So it's just the randomize with weidu option that won't work. I can live with that and enjoy your mod very much. I tried installing Wheels of Prophecy and that gave me similar errors - some scripts or other game files couldn't be modified. Plus, I have  pretty much the same mod setup on my classic installation I use with GemRB, and all mods installed without problems. So I think that issue might be connected to the Linux version of BG2:EE and not to any of the mods?

Share this post


Link to post

Ok. If you wish to continue troubleshooting, perhaps the WeiDU forum would be a more appropriate venue, or maybe whichever forum Beamdog uses for bug reports? From what I can gather, this does not seem to be an issue with Item Randomiser, but it's curious nonetheless.

Edited by Wisp

Share this post


Link to post

Definitely not the Randomiser, sorry! There are all sorts of problems like scripts not working properly, I'm getting stuck in cutscene mode all the time. I tried  installing the Windows version, it has the same problems. So now I'm pretty much fed up with EE, will go back to classic BG2. Anyway, thanks a bunch for your help :)

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...